Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Ticket #2532 (closed defect: fixed)

Opened 8 years ago

Last modified 8 years ago

install TG2.1 on Suse SLES11/64

Reported by: bobs Owned by:
Priority: high Milestone: 2.1
Component: TurboGears Version: 2.1
Severity: critical Keywords: Suse SLES 11/64 SP1
Cc:

Description

Can you help <b>after "install"</b> (tg2env)SLES11:~/tg2env/example # nosetests Traceback (most recent call last):

File "/root/tg2env/bin/nosetests", line 8, in <module>

load_entry_point('nose==0.11.4', 'console_scripts', 'nosetests')()

File "/root/tg2env/lib/python2.6/site-packages/nose-0.11.4-py2.6.egg/nose/core.py", line 117, in init

extra_args)

File "/usr/lib64/python2.6/unittest.py", line 816, in init

self.parseArgs(argv)

File "/root/tg2env/lib/python2.6/site-packages/nose-0.11.4-py2.6.egg/nose/core.py", line 134, in parseArgs

self.config.configure(argv, doc=self.usage())

File "/root/tg2env/lib/python2.6/site-packages/nose-0.11.4-py2.6.egg/nose/config.py", line 324, in configure

self.plugins.begin()

File "/root/tg2env/lib/python2.6/site-packages/nose-0.11.4-py2.6.egg/nose/plugins/manager.py", line 93, in call

return self.call(*arg, kw)

File "/root/tg2env/lib/python2.6/site-packages/nose-0.11.4-py2.6.egg/nose/plugins/manager.py", line 161, in simple

result = meth(*arg, kw)

File "/root/tg2env/lib/python2.6/site-packages/Pylons-1.0-py2.6.egg/pylons/test.py", line 74, in begin

relative_to=path)

File "/root/tg2env/lib/python2.6/site-packages/PasteDeploy-1.3.3-py2.6.egg/paste/deploy/loadwsgi.py", line 204, in loadapp

return loadobj(APP, uri, name=name, kw)

File "/root/tg2env/lib/python2.6/site-packages/PasteDeploy-1.3.3-py2.6.egg/paste/deploy/loadwsgi.py", line 225, in loadobj

return context.create()

File "/root/tg2env/lib/python2.6/site-packages/PasteDeploy-1.3.3-py2.6.egg/paste/deploy/loadwsgi.py", line 625, in create

Hi, All was well excepting this on TG2.1 install: WARNING: The C extension could not be compiled, speedups are not enabled. Plain-Python installation succeeded. ========================================================================== Adding MarkupSafe? 0.11 to easy-install.pth file

then all ok : (tg2env)SLES11:~./paster quickstart example (tg2env)SLES11:~./cd example/ (tg2env)SLES11:~./python setup.py develop

but ./nosetests fails with these messages:

return self.object_type.invoke(self) File "/root/tg2env/lib/python2.6/site-packages/PasteDeploy-1.3.3-py2.6.egg/paste/deploy/loadwsgi.py", line 110, in invoke

return fix_call(context.object, context.global_conf, context.local_conf)

File "/root/tg2env/lib/python2.6/site-packages/PasteDeploy-1.3.3-py2.6.egg/paste/deploy/util/fixtypeerror.py", line 57, in fix_call

val = callable(*args, kw)

File "/root/tg2env/example/example/config/middleware.py", line 35, in make_app

app = make_base_app(global_conf, full_stack=True, app_conf)

File "/root/tg2env/lib/python2.6/site-packages/TurboGears2-2.1-py2.6.egg/tg/configuration.py", line 841, in make_base_app

load_environment(global_conf, app_conf)

File "/root/tg2env/lib/python2.6/site-packages/TurboGears2-2.1-py2.6.egg/tg/configuration.py", line 581, in load_environment

setup()

File "/root/tg2env/lib/python2.6/site-packages/TurboGears2-2.1-py2.6.egg/tg/configuration.py", line 392, in setup_genshi_renderer

from tg.dottednames.genshi_lookup import GenshiTemplateLoader?

File "/root/tg2env/lib/python2.6/site-packages/TurboGears2-2.1-py2.6.egg/tg/dottednames/genshi_lookup.py", line 6, in <module>

from genshi.template import TemplateLoader?

ImportError?: No module named genshi.template

Change History

comment:1 Changed 8 years ago by bobs

  • Status changed from new to closed
  • Resolution set to fixed
  • Milestone changed from __unclassified__ to 2.1

Hi, Sorry about duplicate to #2527 Their fix worked for me as well.

Thanks and I am looking forward to migrating our 1.1 project.

Note: See TracTickets for help on using tickets.